Dashboard Change Password

Changes password of a user through the Punchh dashboard. Requires a valid access token and the target user's business_uuid and user_uuid.

Headers
  • X-Correlation-Id
    Type: string

    Optional caller-provided correlation ID; echoed in responses when present.

  • Authorization
    Type: string
    required

    Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

Body·
required
application/json
  • client
    Type: string
    required

    OAuth client ID provided by the business. Required to identify the client application for dashboard change password. The OAuth application must have the Advance Auth scope enabled.

  • user
    Type: object
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/api/dashboard/change_password
curl https://SERVER_NAME_GOES_HERE/api/dashboard/change_password \
  --request POST \
  --header 'Authorization: ' \
  --header 'Content-Type: application/json' \
  --data '{
  "client": "CLIENT_GOES_HERE",
  "user": {
    "business_uuid": "BUSINESS_UUID_GOES_HERE",
    "user_uuid": "USER_UUID_GOES_HERE",
    "new_password": "PASSWORD_GOES_HERE",
    "password_confirmation": "PASSWORD_GOES_HERE"
  }
}'
{
  "data": [
    "Your password has been changed successfully."
  ]
}